AppConfigurationEntry (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: javax.security.auth.login, class: AppConfigurationEntry
Keywords: javax.security.auth.login.AppConfigurationEntry class

# Class AppConfigurationEntry

java.lang.Object
javax.security.auth.login.AppConfigurationEntry

public class AppConfigurationEntry extends Object
This class represents a single `LoginModule` entry configured for the application specified in the `getAppConfigurationEntry(String appName)` method in the `Configuration` class. Each respective `AppConfigurationEntry` contains a `LoginModule` name, a control flag (specifying whether this `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL), and LoginModule-specific options. Please refer to the `Configuration` class for more information on the different control flags and their semantics.

Since:
  1.4
See Also:
  - `Configuration`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AppConfigurationEntry.LoginModuleControlFlag`
  This class represents whether a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppConfigurationEntry(String loginModuleName, AppConfigurationEntry.LoginModuleControlFlag controlFlag, Map<String,?> options)`
  Default constructor for this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AppConfigurationEntry.LoginModuleControlFlag`
  `getControlFlag()`
  Return the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.
  `String`
  `getLoginModuleName()`
  Get the class name of the configured `LoginModule`.
  `Map<String,?>`
  `getOptions()`
  Get the options configured for this `LoginModule`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AppConfigurationEntry

    public AppConfigurationEntry(String loginModuleName, AppConfigurationEntry.LoginModuleControlFlag controlFlag, Map<String,?> options)
    Default constructor for this class.

    This entry represents a single `LoginModule` entry configured for the application specified in the `getAppConfigurationEntry(String appName)` method from the `Configuration` class.

    Parameters:
      `loginModuleName` - String representing the class name of the `LoginModule` configured for the specified application.
      `controlFlag` - either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL.
      `options` - the options configured for this `LoginModule`.
    Throws:
      `IllegalArgumentException` - if `loginModuleName` is null, if `LoginModuleName` has a length of 0, if `controlFlag` is not either REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL, or if `options` is null.

- ## Method Details

  - ### getLoginModuleName

    public String getLoginModuleName()
    Get the class name of the configured `LoginModule`.
    Returns:
      the class name of the configured `LoginModule` as a String.

  - ### getControlFlag

    public AppConfigurationEntry.LoginModuleControlFlag getControlFlag()
    Return the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.
    Returns:
      the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.

  - ### getOptions

    public Map<String,?> getOptions()
    Get the options configured for this `LoginModule`.
    Returns:
      the options configured for this `LoginModule` as an unmodifiable `Map`.